// pages/user/index.js
const app = getApp()
const user = require('../../api/user.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },
  
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getUserInfo()
  },
  getUserInfo(){
    user.getUserInfo().then((res)=> {
      this.setData({
        userInfo: res.data.data
      })
    })
  },
  toCashOut(){
    wx.navigateTo({
      url: '/pages/user/cashOut/index?brokeragePrice=' + this.data.userInfo.brokeragePrice,
    })
  },
  call(){
    wx.makePhoneCall({
      phoneNumber: '15623111593',
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})