// pages/user/cashOut/index.js
const app = getApp()
const user = require('../../../api/user.js')
Page({
  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    cashNum: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },
  allCash(){
    this.setData({
      cashNum: this.data.brokeragePrice
    })
  },
  cashChange(e){
    this.setData({
      cashNum: e.detail.value
    })
  },
  cashClick(){
    if(this.data.userInfo.userBank){
      if(this.data.cashNum == '' || this.data.cashNum <= 100){
        return app.alertMessage('请输入正确的积分')
      }
      user.cash({
        extractType: 'bank',
        money: this.data.cashNum
      }).then((res)=>{
        wx.showToast({
          title: '申请提现成功',
        })
        setTimeout(()=>{
          wx.navigateBack({
            delta: 1,
          })
        },1500)
      })
    } else{
      wx.navigateTo({
        url: '/pages/user/bindCard/index',
      })
    }
    
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getUserInfo()
  },
  getUserInfo(){
    user.getUserInfo().then((res)=> {
      this.setData({
        userInfo: res.data.data
      })
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})